
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>深入理解ob_flush/flush / 憋错料</title>

    <meta name="description" content="深入理解ob_flush/flush ob_flush/flush在手册中的描述, 都是刷新输出缓冲区, 并且还需要配套使用, 所以会导致很多人迷惑… 其实, 他们俩的操作对象不同, 有些情况下, flush根本不做什么事情.. ob_*系列函数, 是操作PHP本身的输出缓冲区. 所以, ob_flush是刷新PHP自身的缓冲区. 而flush, 严格来讲, 这个只有在PHP做为apache的Module(handler或者filter)安装的时候, 才有实际作用. 它是刷新WebServer(可以认为特指apache)的缓冲区.">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">深入理解ob_flush/flush</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>ob_flush/flush在手册中的描述, 都是刷新输出缓冲区, 并且还需要配套使用, 所以会导致很多人迷惑&hellip;</p>
<p>其实, 他们俩的操作对象不同, 有些情况下, flush根本不做什么事情..</p>
<p>ob_*系列函数, 是操作PHP本身的输出缓冲区.</p>
<p>所以, ob_flush是刷新PHP自身的缓冲区.</p>
<p>而flush, 严格来讲, 这个只有在PHP做为apache的Module(handler或者filter)安装的时候, 才有实际作用. 它是刷新WebServer(可以认为特指apache)的缓冲区.</p>
<p>在apache module的sapi下, flush会通过调用sapi_module的flush成员函数指针, 间接的调用apache的api: ap_rflush刷新apache的输出缓冲区, 当然手册中也说了, 有一些apache的其他模块, 可能会改变这个动作的结果..</p>
<ol>
<li>有些Apache的模块，比如mod_gzip，可能自己进行输出缓存，</li>
<li>这将导致flush()函数产生的结果不会立即被发送到客户端浏览器。</li>
<li>甚至浏览器也会在显示之前，缓存接收到的内容。例如 Netscape</li>
<li>浏览器会在接受到换行或 html 标记的开头之前缓存内容，并且在</li>
<li>接受到 &lt;/table&gt; 标记之前，不会显示出整个表格。</li>
<li>一些版本的 Microsoft Internet Explorer 只有当接受到的256个</li>
<li>字节以后才开始显示该页面，所以必须发送一些额外的空格来让这</li>
<li>些浏览器显示页面内容。</li>
</ol>
<p>所以, 正确使用俩者的顺序是. 先ob_flush, 然后flush,</p>
<p>当然, 在其他sapi下, 不调用flush也可以, 只不过为了保证你代码的可移植性, 建议配套使用.</p>
<p>本文地址:&nbsp;<a href="http://www.laruence.com/2010/04/15/1414.html" rel="external nofollow noreferrer">http://www.laruence.com/2010/04/15/1414.html</a></p>
<p>想到这个问题是帮同事写一个批量插入的脚本，为了实时的显示当前插入的数据情况，需要执行后马上输出，但是php有输出缓存，只有等缓存满了之后才能输出。</p>
<p><a href="http://www.dewen.org/q/4102/" rel="external nofollow noreferrer">http://www.dewen.org/q/4102/</a>&nbsp;这个有对这个问题有一个说明，在php的bigpipe中也涉及这问题。</p>
<p>主要有几点，php的输出缓存，浏览器的接收缓存，web服务器的缓存，服务器的压缩传输。办法为刷新php的缓存，填充缓存数据，控制php缓存配置以及服务器的缓存配置。</p>
<p><P><A href="http://www.bubuko.com/infodetail-240112.html" rel="external nofollow noreferrer">深入理解ob_flush/flush,布布扣,bubuko.com</A></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-29 06:18:27 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/color/" title="color">color</a>, <a href="https://www.biecuoliao.com/tag/style/" title="style">style</a>, <a href="https://www.biecuoliao.com/tag/http/" title="http">http</a>, <a href="https://www.biecuoliao.com/tag/%e4%bd%bf%e7%94%a8/" title="使用">使用</a>, <a href="https://www.biecuoliao.com/tag/%e6%95%b0%e6%8d%ae/" title="数据">数据</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>深入理解ob_flush/flush的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49AoLv4.html" rel="bookmark">深入理解ob&lowbar;flush和flush的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ob_flush/flush在手册中的描述, 都是刷新输出缓冲区, 并且还需要配套使用, 所以会导致很多人迷惑… 其实, 他们俩的操作对象不同, 有些情况下, flush根本不做什么事情.. ob_*系列函数, 是操作PHP本身的输出缓冲区. 所以, ob_flush是刷新PHP自身的缓冲区. 而flush, 严格来讲, 这个只有在PHP做为apache的Module(handler或者filter)安装的时候, 才有实际作用. 它是刷新WebServer(可以认为特指apache)的缓冲区.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41BdEGM.html" rel="bookmark">最详细的PHP flush&lpar;&rpar;与ob&lowbar;flush&lpar;&rpar;的区别详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				buffer ---- flush()buffer是一个内存地址空间,Linux系统默认大小一般为4096(1kb),即一个内存页.主要用于存储速度不同步的设备或者优先级不同的 设备之间传办理数据的区域.通过buffer,可以使进程这间的相互等待变少.这里说一个通俗一点的例子,你打开文本编辑器编辑一个文件的时候,你每输入 一个字符,操作系统并不会立即把这个字符直接写入到磁盘,而是先写入到buffer,当写满了一个buffer的时候,才会把buffer中的数据写入磁 盘,当然当调用内核函数flus			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZN6pZ3.html" rel="bookmark">PHP flush&lpar;&rpar;与ob&lowbar;flush&lpar;&rpar;的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				buffer ---- flush() buffer是一个内存地址空间,Linux系统默认大小一般为4096(1kb),即一个内存页.主要用于存储速度不同步的设备或者优先级不同的 设备之间传办理数据的区域.通过buffer,可以使进程这间的相互等待变少.这里说一个通俗一点的例子,你打开文本编辑器编辑一个文件的时候,你每输入 一个字符,操作系统并不会立即把这个字符直接写入到磁盘,而是先写入到buffer,当写满了一个buffer的时候,才会把buffer中的数据写入磁 盘,当然当调用内核函数flu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MEWBOg3.html" rel="bookmark">ob&lowbar;flush&lpar;&rpar;&semi;与flush&lpar;&rpar;&semi;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				buffer ---- flush()buffer是一个内存地址空间,Linux系统默认大小一般为4096(1kb),即一个内存页.主要用于存储速度不同步的设备或者优先级不同的 设备之间传办理数据的区域.通过buffer,可以使进程这间的相互等待变少.这里说一个通俗一点的例子,你打开文本编辑器编辑一个文件的时候,你每输入 一个字符,操作系统并不会立即把这个字符直接写入到磁盘,而是先写入到buffer,当写满了一个buffer的时候,才会把buffer中的数据写入磁 盘,当然当调用内核函数flus			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4AWZKD0.html" rel="bookmark">php  ob&lowbar;flush 和flush</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				“ob_flush()和flush()的区别.前者是把数据从PHP的缓冲中释放出来,后者是把不在缓冲中的或者说是被释放出来的数据发送到浏览器.所以当缓冲存在的时候,我们必须ob_flush()和flush()同时使用.正确使用的顺序是:先用ob_flush(),后用flush(). 实例一 for ($i=100; $i&gt;0; $i--) { echo $i.&quot;&lt;br&gt;&quot;; ob_flush(); flush(); sleep(1); } 实例二 for ($i=10			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xnoYL4.html" rel="bookmark">PHP&lowbar;输出缓存&lpar;output&lowbar;buffering&rpar;的深入理解&comma;边执行边输出</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先明确一下PHP的输出顺序1.打开了php输出缓存: echo,print -&gt; php output_buffring -&gt; server buffering -&gt; browser buffering -&gt; browser display2.未打开php输出缓存: echo,print -&gt; server buffering -&gt; browser buffering -&gt; browser display 另外明确一下浏览器的输出缓存:IE为256Bytes,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/XMgzDO4.html" rel="bookmark">php flush&lpar;&rpar;刷新不能输出缓冲的原因分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在php程序编写中,flush()的使用率还是挺高的,它在网页表现即时信息效果时发挥了极为重要的作用,比如之前写的php实现限制文件下载速度的代码实例,flush()就起了举足轻重的作用,是进度条实现代码里的关键语句. 关于flash()的解释 语法: flush(); 作用: 刷新PHP程序的缓冲,而不论PHP执行在何种情况下(CGI ,web服务器等等).该函数将当前为止程序的所有输出发送到用户的浏览器. 问题: flush()刷新为什么不能输出缓冲? 很简单的程序代码 for ($i=10			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0doaDeM.html" rel="bookmark">Nginx&plus;phpfastcgi下flush输出问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近由于业务需要,需要使用php的flush输出缓存刷新,处理浏览器超时问题. 最初的测试代码如下: ob_start();//打开缓冲区 for ($i=10; $i&gt;0; $i--) { echo $i.'&lt;br /&gt;'; ob_flush(); flush(); sleep(1); } ob_end_flush();//输出并关闭缓冲 die(); 本以为这样就能1秒钟输出一个数字,但是在nginx+php的环境下,实际产生的结果与预期是不一样的,结果是10秒后数据一次性都输出出来			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/38yY2A4.html" rel="bookmark">Nginx&plus;phpfastcgi下flush 一下子全部输出问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近由于业务需要,需要使用php的flush输出缓存刷新,处理浏览器超时问题. 最初的测试代码如下: ob_start();//打开缓冲区for ($i=10; $i&gt;0; $i--){ echo $i.'&lt;br /&gt;'; ob_flush(); flush(); sleep(1);}ob_end_flush();//输出并关闭缓冲die();本以为这样就能1秒钟输出一个数字,但是在nginx+php的环境下,实际产生的结果与预期是不一样的,结果是10秒后数据一次性都输出出来了. 以前在			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Q3qYep3.html" rel="bookmark" class="title">poj1562DFS</a>
					<div>
						1 #include&lt;cstdio&gt; 2 #include&lt;iostream&gt; 3 #include&lt;cstring&gt; 4 using namespace std; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/XMgxjp0.html" rel="bookmark" class="title">解析spark RDD</a>
					<div>
						RDD是spark抽象的基石,可以说整个spark编程就是对RDD进行的操作 RDD是弹性的分布式数据集,它是只读的,可分区的,这个数据集的全部或者部分数据可以缓存在内存中,在多次计算间重用.所谓的弹 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/n4Aypy4.html" rel="bookmark" class="title">关于数组的应用知识</a>
					<div>
						一:用类定义一个数组 public class NullPointerArrayExample { /** * @param args */ public static void main(Strin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jyLbgM.html" rel="bookmark" class="title">&lbrack;转&rsqb;错误记录</a>
					<div>
						题目:简单错误记录 题目描述: 开发一个简单的错误记录功能模块,能够记录出错的代码所在的文件名称和行号. 处理: 1.记录最多8条错误记录,循环记录,对相同的错误记录(净文件名称和行号完全匹配)只记录 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0byLEvM.html" rel="bookmark" class="title">qt线程动态回调被调类中的函数</a>
					<div>
						1.需求 要求封装一个qt线程能在不同类中调用,并能回调被调用类中的函数 2.解决 尝试多种方法,最终决定采用动态加载lamda表达式的方法解决 3.代码 catthread.h #ifndef CA ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35VJlE4.html" rel="bookmark" class="title">命令行苹果 IOS MAC IPAD 所有app 的相关信息</a>
					<div>
						最近因为工作需要,需要查找所有苹果IOS 上面应用的相关信息,包括APP 的名称和Identifier,如果一个应用一个应用的安装到手机上面再接通到电脑上面查找就太过费公费了,而且相当费时间和占用公司 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz8KJW3.html" rel="bookmark" class="title">人最清醒的时候，是在一无所有的时候</a>
					<div>
						人最清醒的时候,是在一无所有的时候. 好朋友相处就像有了WIFI,畅快淋漓,没有阻碍,不用花费,舒坦自由;即使离开了一阵子,一到他身边又自动连接,毫无尴尬.只是再好的朋友也不能太长时间不联系,因为哪一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49oyXn0.html" rel="bookmark" class="title">Python装饰器之 property&lpar;&rpar;</a>
					<div>
						1. 何为装饰器? 官方定义:装饰器是一个很著名的设计模式,经常被用于有切面需求的场景,较为经典的有插入日志.性能测试.事务处理等.装饰器是解决这类问题的绝佳设计,有了装饰器,我们就可以抽离出大量函数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyK1zj3.html" rel="bookmark" class="title">highcharts php请求mysql返回json数据作为数据源进行制图</a>
					<div>
						直接上代码 [官方文档请参见http://www.highcharts.com/docs/working-with-data/getting-data-across-domains-jsonp] [实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZDg1LM.html" rel="bookmark" class="title">Node&period;js使用PM2的集群将变得更加容易</a>
					<div>
						介绍 众所周知,Node.js运行在Chrome的JavaScript运行时平台上,我们把该平台优雅地称之为V8引擎.不论是V8引擎,还是之后的Node.js,都是以单线程的方式运行的,因此,在多核心 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MV882p3.html" rel="bookmark" class="title">二叉树之二叉搜索树的基本操作实现</a>
					<div>
						这篇文章用来回顾二叉搜索数的以下操作: 遍历 前序遍历 中序遍历 后序遍历 层序遍历 查找 查找最大值 查找最小值 查找指定值 获取指定属性 获取总节点/叶节点数量 获取二叉树的高度(根的高度为1)  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RGdrY3.html" rel="bookmark" class="title">转：EClipse 10个最有用的快捷键</a>
					<div>
						Eclipse快捷键 10个最有用的快捷键 Eclipse中10个最有用的快捷键组合 一个Eclipse骨灰级开发者总结了他认为最有用但又不太为人所知的快捷键组合.通过这些组合可以更加容易的浏览源代码 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLWEbe4.html" rel="bookmark" class="title">Spring MVC 的 研发之路</a>
					<div>
						翻译器:intellij idea 一个.创建spring mvcproject   一个. 二. 三. watermark/2/text/aHR0cDovL2Jsb2cuY3Nkbi5uZXQvcX ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/415Z6o4.html" rel="bookmark" class="title">脖蛊环弛饶卦内日偬钥空操竞倘饲</a>
					<div>
						http://www.ebay.com/cln/ni0_emgf/book/156882431014/2015-01.16 http://www.ebay.com/cln/kxr_hqum/book/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kZqvlM.html" rel="bookmark" class="title">第四百三十七天 how can I 坚持</a>
					<div>
						太残忍了.对不起韩霞,我确实不知道该怎么办了. &lt;辛德勒的名单&gt;,Whoever saves one life,saves the world entire. 哎,哎,哎. 我是不是很傻啊 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AZpq5M.html" rel="bookmark" class="title">毕业设计 ASP&period;Net&plus;EasyUI开发 X X露天矿调度管理信息系统&lpar;二&rpar;</a>
					<div>
						这是本毕业设计的雏形和框架,实现的功能在左侧的功能框导航菜单内.  做的太烂,还是把学校名字给马赛克掉吧....省的挨校友批 登陆界面.. &lt;cookie +ispostback实现记住我功能& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lkzxbM.html" rel="bookmark" class="title">Fragment 之 PagerAdapter</a>
					<div>
						package com.edaixi.main.adapter; import android.content.Context; import android.support.v4.view.Page ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qROy54.html" rel="bookmark" class="title">LeetCode &ndash; Refresh &ndash; Combination Sum II</a>
					<div>
						The different between I and II is that: 1. For II, each number only can be chosen ONCE. 2. The a num ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Qaqgw4.html" rel="bookmark" class="title">一些常用的数据结构维护手法</a>
					<div>
						这篇会理论上讲一讲常用的数据结构维护手法. 我是嘴巴选手我自豪! ①cdq分治 现在我们有一些修改,有一些询问,修改之间独立. 我们考虑分治,对于左右两半分别分治,然后对于左边的修改计算对右边询问的贡 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02wOkR3.html" rel="bookmark" class="title">视区相关单位vw&comma; vh &comma;vm，CSS&sol;CSS3长度、时间、频率、角度单位大全</a>
					<div>
						一.CSS长度值 em 相对于父元素的字体大小 ex 相对于小写字母&quot;x&quot;的高度 gd 一般用在东亚字体排版上,这个与英文并无关系 rem 相对于根元素字体大小 vw 相对于视窗的 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
